# WOK
TKWOK
WOKernel

# WOKernel_DataMapIteratorOfDataMapOfFileType Class Reference

`#include <WOKernel_DataMapIteratorOfDataMapOfFileType.hxx>`

Inheritance diagram for WOKernel_DataMapIteratorOfDataMapOfFileType:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfFileType ()
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfFileType (const WOKernel_DataMapOfFileType &aMap)
Standard_EXPORT void | Initialize (const WOKernel_DataMapOfFileType &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKernel_FileType & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfFileType::WOKernel_DataMapIteratorOfDataMapOfFileType | ( |  | ) |

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfFileType::WOKernel_DataMapIteratorOfDataMapOfFileType | ( | const WOKernel_DataMapOfFileType & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKernel_DataMapIteratorOfDataMapOfFileType::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKernel_DataMapIteratorOfDataMapOfFileType::Initialize | ( | const WOKernel_DataMapOfFileType & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_DataMapIteratorOfDataMapOfFileType::Key | ( |  | ) | const

void WOKernel_DataMapIteratorOfDataMapOfFileType::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfFileType::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfFileType::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_WOKernel_FileType& WOKernel_DataMapIteratorOfDataMapOfFileType::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKernel_DataMapIteratorOfDataMapOfFileType.hxx